/**
 * Styles pour le plugin CPP
 *
 * @plugin     CPP
 * @copyright  2025
 */

a:hover {
    box-shadow: none;
}

.h2-active h2 {
    padding: 0.3em;
    background: var(--menu);
    color: #fff;
    margin: 0;
    margin-bottom: 1rem;
}

div.menu-aussi a.on {
    background-image: linear-gradient(0deg, var(--color-hover), var(--color-hover));
}

.menu-aussi ul {
    list-style-type: none;
}

.align-right {
    float: right;
    z-index: 10;
    position: relative;
}

.fr-header__operator svg {
    max-width: 135px;
    height: auto;
}

.fr-footer__brand-link svg {
    max-width: 180px;
    height: auto;
}

.bloc-transparent {
    --color-hover: transparent !important;
    --color-active: transparent !important;
    background-color: transparent !important;
}

.social-networks-list {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    justify-content: center;
}

.menu-aussi {
    padding: 0 0 1em 0;
    box-shadow: 0 4px 8px 3px rgb(0 0 0 / 20%);
    border: 1px solid transparent;
    margin-top: 0;
    position: sticky;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}

.photo-membre {
    box-shadow: none;
    border: none;
}

.photo-membre ul {
    list-style-type: none;
    padding-inline-start: var(--ul-start);
}

.social-networks-list li {
    list-style: none;
}

.social-networks-list li::before, .printpage li::before {
    display: none;
}

.social-networks-list a {
    box-shadow: none;
}

.social-networks-list a::after {
    content: "" !important;
}

figure p, section p {
    margin: 0 0 1.5rem;
}

.aside-info li::before {
    content: "";
}

.no-center {
    text-align: left;
}

.ferree-gauche .fr-tile__body {
    display: flex;
    flex-direction: column;
    align-items: inherit;
    justify-content: end;
    flex-grow: 1;
    padding: 1rem;
    text-align: left;
}

.editer {
    padding-bottom: 1rem;
}

.message_retour_defaut {
    border: 1px solid #f00;
    padding: 10px 0 0 10px;
    margin: 4rem 0;
}

.fr-card__img::before {
    content: "";
    display: block;
    width: 100%;
    padding-bottom: 56.25%;
    margin-top: 0;
}

#image-accueil .fr-card:not(.fr-card--no-border):not(.fr-card--shadow), #rapport-commission .fr-card:not(.fr-card--no-border):not(.fr-card--shadow) {
    box-shadow: none;
}

.fr-card--horizontal .fr-card__header {
    flex: 0 0 15%;
    width: 15%;
}

#image-accueil .fr-card__desc {
    background-color: var(--background-alt-grey);
    padding: 1rem;
    margin: 0;
    box-shadow: none;
}

.pagination {
    margin: 2rem 0;
}

#formulaire_formidable-5 p.boutons {
    text-align: end;
}

#formulaire_formidable-5 button {
    background-color: var(--t-plain);
    color: var(--bf500);
    box-shadow: inset 0 0 0 1px var(--bf500);
    padding: 1rem;
}

#formulaire_formidable-5 button:hover {
    background-image: linear-gradient(0deg, rgba(224, 224, 244, 0.5), rgba(224, 224, 244, 0.5));
}

a:after, a:before {
    font-size: 90%;
    opacity: 0.9;
}

a.spip_out::after {
    content: "\00a0âžš";
}

.fr-pagination__list {
    display: inline-flex;
}

.fr-card__img img {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    /*width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: 50% 50%;*/
}

#formulaire_formidable-5 select {
    display: block;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    width: 100%;
    border: 0;
    border-radius: 0.25rem 0.25rem 0 0;
    font-size: 1rem;
    line-height: 1.5rem;
    padding: 0.5rem 2.5rem 0.5rem 1rem;
    background-repeat: no-repeat;
    background-position: calc(100% - 0.5rem) 50%;
    background-size: 1.5rem 1.5rem;
}

#formulaire_formidable-5 select {
    color: var(--g800);
    background-color: var(--g200);
    box-shadow: inset 0 -2px 0 0 var(--g600);
    background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' x='0px' y='0px' viewBox='0 0 24 24' ><path fill='%231e1e1e' d='M12,13.1l5-4.9l1.4,1.4L12,15.9L5.6,9.5l1.4-1.4L12,13.1z'/></svg>");
}

ul.aside-info {
    padding-inline-start: var(--ul-start);
    padding-inline-end: var(--ul-start);
}

ul.spip li ul {
    list-style-type: disclosure-closed;
}

div.aside {
    text-align: center;
}

footer {
    margin-top: 2rem;
}

:root {
    --menu: #335891;

}

:root[data-fr-theme="dark"] {

    --focus: #5398ff;
    --info: #2b8bf7;
    --success: #00eb5e;
    --error: #f33;
    --rm300: #383838;
    --rm500: #f7bfc3;
    --scroll-shadow: #1e1e1e;
    --overlay: rgba(206, 206, 206, 0.32);
    --logo-cpp: #a3a6bc;
    --logo-cpp-dark: #ffffff;
}

/* valeur des couleurs par dÃ©faut */

:root {
    --focus: #2a7ffe;
    --info: #0762c8;
    --success: #008941;
    --error: #e10600;
    --rm300: #f7bfc3;
    --rm500: #e1000f;
    --scroll-shadow: rgba(30, 30, 30, 0.16);
    --overlay: rgba(156, 156, 156, 0.32);
    --logo-cpp: rgb(87, 112, 190);
    --logo-cpp2: rgb(127, 127, 127);
    --logo-cpp-dark: rgb(127, 127, 127);

}

/* valeur des couleurs dans des blocs de combinaison

:root:not([data-fr-theme="dark"]) {    /* le sÃ©lecteur est un bloc de combinaison de couleur du type dÃ©fini *//* le sÃ©lecteur est un bloc de combinaison de couleur du type dÃ©fini   } */

:root:not([data-fr-theme="light"]) [class*="fr-scheme-light"],
:root:not([data-fr-theme="light"]) [class*="--scheme-light-"] {

    --focus: #2a7ffe;
    --info: #0762c8;
    --success: #008941;
    --error: #e10600;
    --rm300: #f7bfc3;
    --rm500: #e1000f;
    --scroll-shadow: rgba(30, 30, 30, 0.16);
    --overlay: rgba(156, 156, 156, 0.32);
    --logo-cpp: rgb(87, 112, 190);
    --logo-cpp-dark: rgb(87, 112, 190);
}

:root:not([data-fr-theme="dark"]) [class*="fr-scheme-dark"],
:root:not([data-fr-theme="dark"]) [class*="--scheme-dark-"] {

    --focus: #5398ff;
    --info: #2b8bf7;
    --success: #00eb5e;
    --error: #f33;
    --rm300: #383838;
    --rm500: #f7bfc3;
    --scroll-shadow: #1e1e1e;
    --overlay: rgba(206, 206, 206, 0.32);
    --logo-cpp: #a3a6bc;
    --logo-cpp2: #FFFFFF;
    --logo-cpp-dark: rgb(255, 255, 255);
}

.fr-card__link sup {

    display: contents;

}

@media (min-width: 62em) {
    .fr-menu__list {
        width: 20rem;
        pointer-events: auto;
        padding: 0;
        margin-bottom: 2rem;
        background-color: var(--background-default-grey);
        --idle: transparent;
        --hover: var(--background-alt-grey);
        --active: var(--background-alt-grey);
        box-shadow: inset 0 1px 0 0 #e3e3fd;
    }
}

main ul {
    list-style-type: "●\00a0\00a0";
    padding-inline-start: var(--ul-start);
}

.dernier-rapport {
    margin-bottom: 1rem;
    background-image: url(/IMG/png/news.png);
    background-position: top right;
    background-repeat: no-repeat;
    background-size: contain;
}

.on {
    background-color: var(--active);
}

@media (min-width: 32em) {
    .fr-card__img img {
        padding: 0.5rem;
        object-fit: contain; /* Pour que le SVG ne soit pas coupé */
    }

    .fr-card--horizontal .fr-card__img {
        aspect-ratio: auto; /* Enlève le ratio imposé */
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .fr-card--horizontal .fr-card__img img {
        width: 100%;
        height: 100%;
        object-fit: contain; /* Pour garder les proportions sans couper */
        padding: 0.5rem;
        margin:auto;
    }
}

.page-recherche ul {
    list-style-type: none;
    padding-inline-start: 0;
}

.fr-text-end {
    text-align: right;
}
.fr-callout--blue-cumulus {
  box-shadow: inset 2.5rem 0 0 0 var(--border-default-blue-cumulus);
  background-color: var(--background-contrast-blue-cumulus);
  --idle: transparent;
  --hover: var(--background-contrast-blue-cumulus-hover);
  --active: var(--background-contrast-blue-cumulus-active);
}
@media (max-width: 776px) {
.fr-card--horizontal {
    flex-direction: column;
  }

  .fr-card--horizontal .fr-card__header,
  .fr-card--horizontal .fr-card__body {
    width: 100%;
  }

.fr-card__header {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: visible;
    background: none;
    padding: 1rem 0;
  }

.fr-card__img {
    display: flex;
    justify-content: center;
    overflow: visible;
    margin-top:1rem;
  }

.fr-card__img img {
    width: 200px;
    height: 100px;
    object-fit: contain;
    display: block;
    margin: auto;
  }
.fr-card{
    padding: 2rem 0 0 0;
  }
.fr-card__img img:hover,
.fr-card__img img:hover,
.fr-card__img img:hover {
    opacity: 1 !important;
    visibility: visible !important;
  }

.fr-card__img:hover,
.fr-card__img:hover,
.fr-card__img:hover {
    opacity: 1 !important;
    visibility: visible !important;
  }
}